Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opencyc.javashell
Class JarResources

    java.lang.Object
      |
      +--org.opencyc.javashell.JarResources

public final class JarResources
extends java.lang.Object

JarResources: JarResources maps all resources included in a Zip or Jar file. Additionaly, it provides a method to extract one as a blob.

Constructor Summary
`JarResources(java.lang.String jarFileName)` creates a JarResources.

Method Summary
`byte[]` | `getResource(java.lang.String name)` Extracts a jar resource as a blob.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JarResources

    public JarResources(java.lang.String jarFileName)

  creates a JarResources. It extracts all resources from a Jar into an internal hashtable, keyed by resource names.
  Parameters:
    `jarFileName` - a jar or zip file

Method Detail

### getResource

    public byte[] getResource(java.lang.String name)

  Extracts a jar resource as a blob.
  Parameters:
    `name` - a resource name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD